<!-- 注册自定义图标 -->
<template>
  <svg :class="svgClass" aria-hidden="true" :style="svgStyle">
    <use :xlink:href="iconName" :fill="color" />
  </svg>
</template>

<script setup lang="ts">
import { computed } from 'vue';
const props = defineProps({
  iconClass: { // 图标名称与assets/icon/svg下使用的文件名一致
    type: String,
    required: true
  },
  className: { // 给图标添加class
    type: String,
    default: ''
  },
  color: { // 设置图标颜色
    type: String,
    default: '#333'
  },
  size:{
    type: String,
    default: '2'
  }
});
const iconName = computed(() => {
  return `#icon-${props.iconClass}`;
});
const svgClass = computed(() => {
  if (props.className) {
    return `svg-icon ${props.className}`;
  }
  return 'svg-icon';
});
const svgStyle = computed(()=>{
    try {
        if(props.size && parseInt(props.size)>0){
            return "width: "+props.size+"em;height: "+props.size+"em;";
        }else{
            return "width: 1em;height: 1em;";
        }
    } catch (error) {
        return "width: 1em;height: 1em;";
    }
})
</script>

<style>
.sub-el-icon,.nav-icon {
  display: inline-block;
  font-size: 35px;
  margin-right: 12px;
  position: relative;
}

.svg-icon {
  position: relative;
  fill: currentColor;
  vertical-align: -2px;
}
</style>